Subject: Re: [BEHAVE] [Editorial Errata Reported] RFC5766 (3854)

From: Philip Matthews <[email-masked]>
Date: Wed, 1 Jan 2014 22:26:24 -0500

I believe that Venu is correct: the value should be 16,384 (and not 16,383 as the RFC states).
This was probably my error.

- Philip

On 2013-12-31, at 5:21 , RFC Errata System wrote:

> The following errata report has been submitted for RFC5766,
> "Traversal Using Relays around NAT (TURN): Relay Extensions to Session Traversal Utilities for NAT (STUN)".
> 
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=5766&eid=3854
> 
> --------------------------------------
> Type: Editorial
> Reported by: Venu <[email-masked]>
> 
> Section: 11
> 
> Original Text
> -------------
> 0x4000 through 0x7FFF: These values are the allowed channel
> 
> numbers (16,383 possible values).
> 
> Corrected Text
> --------------
> 0x4000 through 0x7FFF: These values are the allowed channel
> 
> numbers (16,384 possible values).
> 
> Notes
> -----
> Section 11.2: The channel number is in the range 0x4000 through 0x7FFE
> 
> (inclusive);
> 
> Since both the values are inclusive it should be 16384 = (0x7FFF-0x4000 + 1)
> 
> Instructions:
> -------------
> This errata is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party (IESG)
> can log in to change the status and edit the report, if necessary. 
> 
> --------------------------------------
> RFC5766 (draft-ietf-behave-turn-16)
> --------------------------------------
> Title               : Traversal Using Relays around NAT (TURN): Relay Extensions to Session Traversal Utilities for NAT (STUN)
> Publication Date    : April 2010
> Author(s)           : R. Mahy, P. Matthews, J. Rosenberg
> Category            : PROPOSED STANDARD
> Source              : Behavior Engineering for Hindrance Avoidance
> Area                : Transport
> Stream              : IETF
> Verifying Party     : IESG
>